Subject: bug#26353: closed (Re: bug#26353: GuixSD /tmp cleaner fails to clean when Umlauts like "ä" are used in filenames)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Jun 2018 08:08:03 +0000

Your bug report

#26353: GuixSD /tmp cleaner fails to clean when Umlauts like "ä" are used in filenames

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26353: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26353
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26353: GuixSD /tmp cleaner fails to clean when Umlauts like"ä" are used in filenames
From: [email-masked] (Ludovic Courtès)
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Wed, 20 Jun 2018 10:07:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Finally fixed with commit 76c321d8e85683091ecbcd3afe8c56fb7c45c00a.
I opted for a simpler approach (and I wonder why it didn’t come to mind
earlier than this…).

Thanks for your patience, and bye bye immortal files!  :-)

Ludo’.

Subject: GuixSD /tmp cleaner fails to clean when Umlauts like"ä" are used in filenames
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Mon, 3 Apr 2017 20:56:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

the GuixSD /tmp cleaner fails to clean when Umlauts like "ä" are used in filenames.  It will just leave them there.

For example I have an immortal file "/tmp/!x!home!dannym!scratchpost.org!www!mirror!science!physics!03._Relativitätstheorie!.webseealso~".